/**
 * Theme for both PDF handouts and slide presentation.
 * Presentation selectors are always prefixed with "rd-presentation", while handout selectors are always prefixed with
 * "rd-handouts".
 * A theme will exist as follows: "themes/<my_theme_name>/style.css". Any theme-local resources can be placed in any
 * layout you wish.
 *
 * You can also use screen/print media queries, however this makes it difficult to 'preview' the handouts. For this
 * reason, media queries are not used here, unless an explicit change in display for the handouts-preview is required
 * (e.g. to simulate a PDF viewer better).
 *
 * Custom themes can be built using all the semantics (classes, ids) from the presentation framework and the custom
 * "rd-*" ones. The layout of files is free to choose by the theme author. For example, if you wish you could separate
 * the presentation and handouts styles in different files. This approach is not taken here but could be viable.
 */

@import url(../../../bower_components/openSans/openSans.css);

@import "components/title-page.css";
@import "components/table-of-contents.css";

@import "components/titles.css";
@import "components/tables.css";
@import "components/lists.css";
@import "components/rulers.css";
@import "components/code.css";
@import "components/notes.css";
@import "components/images.css";
@import "components/quotes.css";
@import "components/paragraphs.css";


/* Reset margins */
#rd-presentation .rd-slide * {
    margin: 0;
}
/* Base reference for visible slide content box */
#rd-presentation .rd-slide .remark-slide-content {
    font-family:  'Open Sans', sans-serif;
    padding: 12pt 24pt;
}

/* Footer for each slide containing slide number and the company logo */
#rd-presentation .rd-slide .remark-slide-content > .remark-slide-number {
    font-size: 10pt;
    left: 20px;
    text-align: left;
    background-image: url('images/presentation-footer-logo.png');
    background-position: right;
    background-size: contain;
    background-repeat: no-repeat;
    opacity: 1;
    color: #aaaaaa;
}

.rd-handouts {
    margin: 0 1cm;
    font-family: 'Open Sans', sans-serif;
}

.rd-handouts * {
    margin: 0;
}

@media screen {
    /* Makes the preview handouts look more like the PDF render. */
    .rd-handouts {
        box-sizing: border-box;
        max-width: 21cm;
        background-color: white;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 1cm;
        padding: 2.5cm 1cm 2cm 1cm;
        box-shadow: 0 0 0.5cm 0;
    }

    /* Makes the preview handouts have a dark background (as if when you were viewing in a real PDF viewer) */
    body {
        background-color: #333333;
    }
}